/*
 * RageIRCd, an advanced Internet Relay Chat daemon (IRCd)
 * include/channel.h: channel header file
 *
 * Copyright (C) 2002 the past and present IRCd developers, and others.
 * Refer to doc/authors/ for full credits and copyright details.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA.
 *
 * $Id: channel.h,v 1.4 2002/04/08 16:00:46 rageircd Exp $
 */

#ifndef	__channel_include__
#define __channel_include__

#define find_channel(chname, chptr) (hash_find_channel(chname, chptr))
#define CREATE			1	/* whether a channel should be created or just tested for existance */
#define MODEBUFLEN		200	/* max modebuf we consider from users */
#define REALMODEBUFLEN		512	/* max actual modebuf */
#define NullChn 		((aChannel *)NULL)
#define ChannelExists(n) 	(find_channel(n, NullChn) != NullChn)

#ifndef V28PlusOnly
#define	MAXMODEPARAMS		6
#else
#include "msg.h"
#define	MAXMODEPARAMS		(MAXPARA - 2)
#endif

#endif /* __channel_include__ */
