/*
 * RageIRCd, an advanced Internet Relay Chat daemon (IRCd)
 * include/fdlist.h: file descriptor management header file
 *
 * Copyright (C) 2002 the past and present IRCd developers, and others.
 * Refer to doc/authors/ for full credits and copyright details.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA.
 *
 * $Id: fdlist.h,v 1.3 2002/04/08 16:00:46 rageircd Exp $
 */

#ifndef __fdlist_include__
#define __fdlist_include__

typedef struct fdstruct {
	int entry[MAXCONNECTIONS + 2];
	int last_entry;
} fdlist;

void addto_fdlist(int, fdlist *);
void delfrom_fdlist(int, fdlist *);
void init_fdlist(fdlist *);

#endif /* __fdlist_include__ */
