/*
 * RageIRCd, an advanced Internet Relay Chat daemon (IRCd)
 * include/msg.h: function header file
 *
 * Copyright (C) 2002 the past and present IRCd developers, and others.
 * Refer to doc/authors/ for full credits and copyright details.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA.
 *
 * $Id: msg.h,v 1.58 2002/04/08 16:00:46 rageircd Exp $
 */

#ifndef	__msg_include__
#define __msg_include__

#define MAXPARA 17

extern int m_kline(aClient *, aClient *, int, char **);
extern int m_unkline(aClient *, aClient *, int, char **);
extern int m_zline(aClient *, aClient *, int, char **);
extern int m_akill(aClient *, aClient *, int, char **);
extern int m_rakill(aClient *, aClient *, int, char **);
extern int m_locops(aClient *, aClient *, int, char **);
extern int m_private(aClient *, aClient *, int, char **);
extern int m_topic(aClient *, aClient *, int, char **);
extern int m_join(aClient *, aClient *, int, char **);
extern int m_part(aClient *, aClient *, int, char **);
extern int m_mode(aClient *, aClient *, int, char **);
extern int m_ping(aClient *, aClient *, int, char **);
extern int m_pong(aClient *, aClient *, int, char **);
extern int m_wallops(aClient *, aClient *, int, char **);
extern int m_kick(aClient *, aClient *, int, char **);
extern int m_nick(aClient *, aClient *, int, char **);
extern int m_error(aClient *, aClient *, int, char **);
extern int m_notice(aClient *, aClient *, int, char **);
extern int m_invite(aClient *, aClient *, int, char **);
extern int m_quit(aClient *, aClient *, int, char **);
extern int m_kill(aClient *, aClient *, int, char **);
extern int m_who(aClient *, aClient *, int, char **);
extern int m_whois(aClient *, aClient *, int, char **);
extern int m_user(aClient *, aClient *, int, char **);
extern int m_list(aClient *, aClient *, int, char **);
extern int m_server(aClient *, aClient *, int, char **);
extern int m_info(aClient *, aClient *, int, char **);
extern int m_links(aClient *, aClient *, int, char **);
extern int m_summon(aClient *, aClient *, int, char **);
extern int m_stats(aClient *, aClient *, int, char **);
extern int m_users(aClient *, aClient *, int, char **);
extern int m_chanserv(aClient *, aClient *, int, char **);
extern int m_nickserv(aClient *, aClient *, int, char **);
extern int m_operserv(aClient *, aClient *, int, char **);
extern int m_statserv(aClient *, aClient *, int, char **);
extern int m_memoserv(aClient *, aClient *, int, char **);
extern int m_services(aClient *, aClient *, int, char **);
extern int m_identify(aClient *, aClient *, int, char **);
extern int m_svsnick(aClient *, aClient *, int, char **);
extern int m_svsnoop(aClient *, aClient *, int, char **);
extern int m_svskill(aClient *, aClient *, int, char **);
extern int m_svsmode(aClient *, aClient *, int, char **);
extern int m_version(aClient *, aClient *, int, char **);
extern int m_squit(aClient *, aClient *, int, char **);
extern int m_away(aClient *, aClient *, int, char **);
extern int m_connect(aClient *, aClient *, int, char **);
extern int m_oper(aClient *, aClient *, int, char **);
extern int m_pass(aClient *, aClient *, int, char **);
extern int m_trace(aClient *, aClient *, int, char **);
extern int m_time(aClient *, aClient *, int, char **);
extern int m_names(aClient *, aClient *, int, char **);
extern int m_admin(aClient *, aClient *, int, char **);
extern int m_lusers(aClient *, aClient *, int, char **);
extern int m_close(aClient *, aClient *, int, char **);
extern int m_whowas(aClient *, aClient *, int, char **);
extern int m_userhost(aClient *, aClient *, int, char **);
extern int m_ison(aClient *, aClient *, int, char **);
extern int m_svinfo(aClient *, aClient *, int, char **);
extern int m_sjoin(aClient *, aClient *, int, char **);
extern int m_samode(aClient *, aClient *, int, char **);
extern int m_globops(aClient *, aClient *, int, char **);
extern int m_chatops(aClient *, aClient *, int, char **);
extern int m_goper(aClient *, aClient *, int, char **);
extern int m_gnotice(aClient *, aClient *, int, char **);
extern int m_rehash(aClient *, aClient *, int, char **);
extern int m_restart(aClient *, aClient *, int, char **);
extern int m_die(aClient *, aClient *, int, char **);
extern int m_hash(aClient *, aClient *, int, char **);
extern int m_dns(aClient *, aClient *, int, char **);
extern int m_htm(aClient *, aClient *, int, char **);
extern int m_capab(aClient *, aClient *, int, char **);
extern int m_silence(aClient *, aClient *, int, char **);
extern int m_watch(aClient *, aClient *, int, char **);
extern int m_sqline(aClient *, aClient *, int, char **);
extern int m_unsqline(aClient *, aClient *, int, char **);
extern int m_burst(aClient *, aClient *, int, char **);
extern int m_dccallow(aClient *, aClient *, int, char **);
extern int m_dkey(aClient *, aClient *, int, char **);
extern int m_motd(aClient *, aClient *, int, char **);
extern int m_opermotd(aClient *, aClient *, int, char **);
extern int m_rules(aClient *, aClient *, int, char **);
extern int m_dalinfo(aClient *, aClient *, int, char **);
extern int m_sendvhost(aClient *, aClient *, int, char **);
extern int m_module(aClient *, aClient *, int, char **);
extern int m_map(aClient *, aClient *, int, char **);
extern int m_mkpasswd(aClient *, aClient *, int, char **);
extern int m_vhost(aClient *, aClient *, int, char **);
extern int m_knock(aClient *, aClient *, int, char **);
extern int m_set(aClient *, aClient *, int, char **);
extern int m_sgline(aClient *, aClient *, int, char **);
extern int m_unsgline(aClient *, aClient *, int, char **);
extern int m_accept(aClient *, aClient *, int, char **);

#endif /* __msg_include__ */
